Get customer deposit details
Returns bank deposit details for a KYC-verified customer. The customer must have completed KYC verification to access deposit details.
Returns bank deposit details for a KYC-verified customer. The customer must have completed KYC verification to access deposit details.
Authorization
bearerAuth Organization API key obtained from PropelAuth
In: header
Path Parameters
Unique identifier of the customer
Query Parameters
Currency for the deposit. Currently only EUR is supported.
"eur"Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET 'https://compose.finance/api/v2/customers/{customerId}/deposit?currency=eur' \ -H 'Authorization: Bearer YOUR_API_KEY'{
"customerId": "550e8400-e29b-41d4-a716-446655440001",
"currency": "eur",
"reference": "A7B3C9D2E1",
"accountName": "AAA Corp.",
"accountAddress": "123 Example St., 00-001 Warsaw, Poland",
"iban": "LU00123456781234567890",
"bic": "DUMMYBICXXX",
"bankName": "Dummy Bank",
"bankAddress": "1 Placeholder Rd, Test City, 12345, Country",
"bankCountry": "Luxembourg",
"depositInstructions": "To deposit funds, simply transfer money from your bank using your reference and the bank details below.",
"warningText": "Include your unique reference in the transfer details",
"thirdPartyEnabled": false,
"depositModel": "reference"
}{
"error": "Missing required query parameter: currency"
}{
"error": "Unauthorized - Invalid or missing API key or session"
}{
"error": "Customers feature is not enabled for your organization"
}{
"error": "Customer not found"
}{
"error": "Internal server error"
}Update customer wallet PATCH
Updates the destination wallet address for customer on-ramp transfers.
Claim developer fees POST
Initiates a transfer of your accumulated developer fees to your organization's wallet. **Claim Process** 1. Request to claim developer fees is received. 2. Transfer is initiated to your organization's wallet. 3. Transaction status can be monitored via the returned transaction ID 4. Balance updates when the on-chain transfer completes